/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

#pragma once

#include "Base/IGraphicsApp.hpp"
#include <memory>

namespace OpenVulkano
{
	class BillboardExampleApp : public IGraphicsApp
	{
	public:
		static IGraphicsApp* Create();

		static std::unique_ptr<IGraphicsApp> CreateUnique();

		 [[nodiscard]] std::string GetAppName() const final
		{ return "Billboard ExampleApp"; }

		[[nodiscard]] OpenVulkano::Version GetAppVersion() const final
		{ return {"v1.0"}; }
	};
}